Skip to main content

Report Subscriptions


The API enables you to view the details of a single report subscription and a list of all report subscriptions. You can also create, edit, and delete report subscriptions.

View Report Subscriptions

For a summary of all report subscriptions, the request format is:

GET /reporting/v3/report-subscriptions

GET /reporting/v3/report-subscriptions

GET /reporting/v3/report-subscriptions

For a summary of a single report subscription, the request format is:

GET /reporting/v3/report-subscriptions/{reportName}

GET /reporting/v3/report-subscriptions/{reportName}

GET /reporting/v3/report-subscriptions/{reportName}

URL Parameters

ParameterDescriptionRequired/Optional
{reportName}Unique name of the report subscription you want to review.Required

Responses

This request can return one of these HTTP status codes:

  • 200: OK
  • 400: invalid request
  • 404: report not found

For detailed information on the responses, including which fields are returned, see the Field Reference.

Create or Update a Report Subscription

To create or update a report subscription, send an HTTP PUT request to the report server. The request body contains the subscription details, such as the report type, the start time, and the frequency. Use this URL format:

PUT /reporting/v3/report-subscriptions

PUT /reporting/v3/report-subscriptions

PUT /reporting/v3/report-subscriptions

For example, to create a report titled Daily Transactions, the request body is:

{  "organizationId": "{organizationId}",  "reportName": "DailyTransactions",  "reportDefinitionName": "TransactionRequestClass",  "reportFields": [    "Request.RequestID",    "Request.TransactionDate",    "Request.MerchantID",    "BillTo.FirstName",    "BillTo.LastName",    "BillTo.City"  ],  "reportMimeType": "application/xml",  "reportFrequency": "Daily",  "timeZone": "GMT",  "startTime": "0900",  "startDay": "1"}

Fields

The request body supports these configuration fields; not all options are available for all reports:

ValueDescriptionRequired/Optional
organizationIdThe organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID.Optional
reportDefinitionNameName of the report type. See Report Definitions for valid values.Required
reportFieldsArray of field names which should be included in the report. For a list of available fields, see Field Reference.Required
reportMimeTypeFormat of the report. Valid values: application/xml, text/csvOptional
reportFrequencyFrequency of the report subscription. Valid values: Daily, Weekly, Monthly. Adhoc is valid only for one-time reports; see On-Demand Reports.Optional
reportNameUnique name of the report subscription you want to create or edit.Required
timeZoneMerchant's time zone. For a list of supported time zones, see Time Zones. Example: America/ChicagoOptional
startTimeTime of day the report runs. Format: HHMMOptional
startDayDay of month (1-31) the report runs for monthly reports.Optional
reportFiltersArray that contains additional filters.Optional
reportPreferences.signedAmountsIndicator that determines whether or not a negative sign is used for the amount of all refunded transactions. Valid values: true, falseOptional
reportPreferences.fieldNameConventionSpecify the field naming convention to follow in reports (applicable only to CSV report formats). Valid values: SOAPI, SCMPOptional
selectedMerchantGroupNameName of the merchant group.Optional

Responses

This request can return one of these HTTP status codes:

  • 200: OK
  • 304: not modified
  • 400: invalid request
  • 404: report not found

For detailed information on the responses, including which fields are returned, see the Field Reference.

Delete a Report Subscription

A report subscription is deleted by sending an HTTP DELETE request to the report server. The URL format is:

DELETE /reporting/v3/report-subscriptions/{reportName}

DELETE /reporting/v3/report-subscriptions/{reportName}

DELETE /reporting/v3/report-subscriptions/{reportName}

For example, to delete a report titled Daily Transactions, the request is:

DELETE https://{url_prefix}/reporting/v3/report-subscriptions/DailyTransactions

URL Parameters

ParameterDescriptionRequired/Optional
{reportName}Unique name of the report subscription you want to delete.Required

Responses

This request can return one of these HTTP status codes:

  • 200: OK
  • 400: invalid request
  • 404: report not found

For detailed information on the responses, including which fields are returned, see the Field Reference.

Last published: September 29, 2026